apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../../infrastructure/istio-config
  - ../../../infrastructure/openobserve
  - ../../../infrastructure/vmstack
  - ../../../infrastructure/prometheus-stack
  - ../../../infrastructure/opentelemetry-operator
  - ../../../infrastructure/opentelemetry-collector
  - ../../../infrastructure/goalert
  - ../../../infrastructure/kafka-exporter
  - ../../../infrastructure/postgres-exporter
  - ../../../infrastructure/superset
  - ../../../infrastructure/trino
  - ./node-exporter-vmnodescrape.yaml
patches:
  - path: ./patches/istio-config.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: istio-config
      namespace: default
  - path: ./patches/openobserve.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: openobserve
      namespace: openobserve
  - path: ./patches/vmstack.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: vmstack
      namespace: vmstack
  - path: ./patches/prometheus-stack.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: prometheus-stack
      namespace: prometheus-stack
  - path: ./patches/opentelemetry-operator.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: opentelemetry-operator
      namespace: opentelemetry-operator
  - path: ./patches/opentelemetry-collector.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: opentelemetry-collector
      namespace: opentelemetry-collector
  - path: ./patches/goalert.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: goalert
      namespace: goalert
  - path: ./patches/kafka-exporter.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: kafka-exporter
      namespace: kafka-exporter
  - path: ./patches/postgres-exporter.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: postgres-exporter
      namespace: postgres-exporter
  - path: ./patches/superset.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: superset
      namespace: superset
  - path: ./patches/trino.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: trino
      namespace: trino
